package com.tianyan.auc.common;

/**
 * @author PHY
 * @date 2022/4/29$-10:48
 * 返回对应的处理类
 */
public enum TypeServiceEnum {

    ID_CARD("cardService","(^\\d{15}$)|(^\\d{18}$)|(^\\d{17}(\\d|X|x)$)"),//身份证号
    PHONE("phoneService","^(13[0-9]|14[5|7]|15[0|1|2|3|4|5|6|7|8|9]|18[0|1|2|3|5|6|7|8|9])\\d{8}$"),//手机号
    EMAIL("emailService","^\\w+([-+.]\\w+)*@\\w+([-.]\\w+)*\\.\\w+([-.]\\w+)*$"),//邮箱
    COUNT("countService","^[a-zA-Z][a-zA-Z0-9_]{4,15}$"); //账号


    private String name;
    private String type;

    TypeServiceEnum(String name, String type) {
        this.name = name;
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public String getType() {
        return type;
    }

    /**
     * 根据传入的value 进行匹配对应的实现类名，进行实现
     * @param val 13000000000或者123@qq.com,23456742,110119010001999019X
     * @return
     */
    public static String getTypeService(String val){
        TypeServiceEnum[] values = TypeServiceEnum.values();
        for (TypeServiceEnum value : values) {
            if (val.matches(value.getType())) {
                return  value.getName();
            }
        }
        return  PHONE.getName();
    }
}
